# 0.9.9 API documenation: transform.hpp File Reference

transform.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | rotate (T angle, vec< 3, T, Q > const &v)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | scale (vec< 3, T, Q > const &v)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | translate (vec< 3, T, Q > const &v)

## Detailed Description

GLM_GTX_transform

See also
  Core features (dependence)
  GLM_GTC_matrix_transform (dependence)
  GLM_GTX_transform
  GLM_GTX_transform2

Definition in file transform.hpp.